Method: projects.locations.licenseConfigs.list

列出與專案相關聯的所有 LicenseConfig

HTTP 要求

GET https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*}/licenseConfigs

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,父項分支資源名稱,例如 projects/{project}/locations/{location}

查詢參數

參數
pageSize

integer

選用。不支援。

pageToken

string

選用。不支援。

filter

string

選用。要套用至清單結果的篩選器。

支援的欄位如下:

  • subscriptionTier
  • state

範例:

  • subscriptionTier=SUBSCRIPTION_TIER_SEARCH,state=ACTIVE - 列出所有有效的搜尋授權設定。
  • state=ACTIVE:列出所有有效的授權設定。

篩選字串應為以半形逗號分隔的「欄位=值」配對清單。

要求主體

要求主體必須為空白。

回應主體

LicenseConfigService.ListLicenseConfigs 方法的回應訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "licenseConfigs": [
    {
      object (LicenseConfig)
    }
  ],
  "nextPageToken": string
}
欄位
licenseConfigs[]

object (LicenseConfig)

客戶的所有 LicenseConfig

nextPageToken

string

不支援。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview

IAM 權限

需要 parent 資源的下列 IAM 權限:

  • discoveryengine.licenseConfigs.list

詳情請參閱 IAM 說明文件